POST/infoshop

Create Shop Info

This API call creates templates that help the user to call all mandatory parameters (shopName, horizon, and startDate along with either of the permuted parameters listed below) that are used to filter the event dataset. Once defined, it can be called as needed or linked to a Schedule.
POST/infoshop

Mandatory Fields

  • shopName
  • horizon
  • startDate

Important Notes

Search Criteria - Permuted Parameters:

  • eventIds, shopName, horizon, and startDate
  • estimatedAttendee, shopName, horizon, and startDate
  • city, shopName, horizon, and startDate
  • country, shopName, horizon, and startDate
  • city and country, shopName, horizon, and startDate
  • city and estimatedAttendee, shopName, horizon, and startDate
  • country and estimatedAttendee, shopName, horizon, and startDate

Parameter Details:

  • shopName - Your custom name for the eventInfoShopId.
  • horizon - How many consecutive days from the call date to retrieve data for (days out). The maximum value for the horizon is 365.
  • startDate - Start date for the data retrieval.
    Format: "2021-10-02"
  • estimatedAttendee - Attendee count range or value.
    Format:
    • Range value - 100-500
    • Min value - <500
    • Max value - >500
    • Exact value - 500
  • category - A string containing category codes. It can be a number, a range, or both separated by commas.
    Example: { "category": "2,4-5" }
  • subCategory - A string containing subCategory codes. It can be a number, a range, or both separated by commas.
    Example: { "subCategory": "2,7,10-15" }

Parameter Details

NameInTypeRequiredDescription
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
201CreatedCreated
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /infoshop \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "shopName": "",
  "estimatedAttendee": "",
  "city": "",
  "country": "",
  "startDate": "2025-05-06",
  "horizon": 0,
  "eventIds": [],
  "category": "0",
  "subCategory": "0"
}

Example responses

201 Response
{
  "message": "Event info shop created successfully.",
  "eventInfoShopId": 36418
}

Example 1

{
  "shopName": "Music Festival Shop",
  "estimatedAttendee": ">500",
  "city": "Solan",
  "country": "Sweden",
  "startDate": "2026-04-01",
  "horizon": 90,
  "eventIds": [1],
  "category": "2,3-5",
  "subCategory": "2,4,5-9"
}

Example 2

{
  "shopName": "NYEvents_2022",
  "estimatedAttendee": ">1000",
  "city": "Ziro",
  "country": "Australia",
  "startDate": "2026-04-01",
  "horizon": 90,
  "eventIds": [1],
  "category": "4",
  "subCategory": "2-9,11"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.